%global modname furl

Name:           python-%{modname}
Version:        0.4.93
Release:        1%{?dist}
Summary:        URL manipulation made simple

License:        Unlicense
URL:            https://github.com/gruns/furl
Source0:        https://pypi.python.org/packages/source/f/furl/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%description
%{summary}. This module let you access and modify the components (parts) of a
URL like scheme (http, https), host, port.

%package -n python2-%{modname}
Summary:        URL manipulation made simple
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-nose
BuildRequires:  python2-six
BuildRequires:  python2-orderedmultidict
Requires:       python2-six
Requires:       python2-orderedmultidict

%description -n python2-%{modname}
%{summary}. This module let you access and modify the components (parts) of a
URL like scheme (http, https), host, port.

Python 2 version.

%package -n python3-%{modname}
Summary:        URL manipulation made simple
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-six
BuildRequires:  python3-orderedmultidict
Requires:       python3-six
Requires:       python3-orderedmultidict

%description -n python3-%{modname}
%{summary}. This module let you access and modify the components (parts) of a
URL like scheme (http, https), host, port.

Python 3 version.

%prep
%autosetup -n %{modname}-%{version}
rm -rf *.egg-info
chmod -x *.md

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
touch tests/__init__.py
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{modname}
%license LICENSE.md
%doc API.md README.md
%{python2_sitelib}/%{modname}-*.egg-info/
%{python2_sitelib}/%{modname}/

%files -n python3-%{modname}
%license LICENSE.md
%doc API.md README.md
%{python3_sitelib}/%{modname}-*.egg-info/
%{python3_sitelib}/%{modname}/

%changelog
* Tue Apr 05 2016 Igor Gnatenko <ignatenko@redhat.com> - 0.4.93-1
- Update to 0.4.93

* Sun Apr 03 2016 Igor Gnatenko <ignatenko@redhat.com> - 0.4.92-1
- Initial package
